Bug 1259735 - wrong sort order in language selection
wrong sort order in language selection
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-initial-setup (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rui Matos
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 09:01 EDT by Karel Volný
Modified: 2017-01-09 10:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the problem (106.62 KB, image/png)
2015-09-03 09:01 EDT, Karel Volný
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755233 None None None Never

  None (edit)
Description Karel Volný 2015-09-03 09:01:33 EDT
Created attachment 1069803 [details]
screenshot of the problem

Description of problem:
When choosing a language, the list seems to be sorted by character codes rather than position in alphabet. This is quite unnatural and makes an impression that some languages are not supported when they are missing in between two letters ... but if you scroll down, you may found that the name starts by lowercase letter and so it is behind all uppercase letters; not to mention letters with diacritics etc.

Version-Release number of selected component (if applicable):
gnome-initial-setup-3.14.4-5.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. clean install system, login to GNOME for the first time

Actual results:
see the screenshot

Expected results:
go to e.g. https://en.wikipedia.org/wiki/Alphabet and see the order of the list of languages

Additional info:
Comment 2 Matthias Clasen 2015-09-18 12:59:56 EDT
There are a few things going on here:

1) We keep the small selection of initial language up top

2) We are sorting by the locale name, not just the language name. In practice, that should not be confusing, though. We show 

LANGUAGE    COUNTRY

in the ui, and the locale name is "LANGUAGE (COUNTRY)".

3) The sorting is case-sensitive, which causes all the lower-case names to end up after all the upper-case ones.


I think we should consider fixing 3). I've filed an upstream bug for tracking that.

Note You need to log in before you can comment on or make changes to this bug.